GroovyCategorySupport.CategoryMethod (groovy 2.4.9 API)
Date: 2017-02-24

Package: org.codehaus.groovy.runtime

## [Java] Class CategoryMethod

- org.codehaus.groovy.runtime.GroovyCategorySupport.CategoryMethod

- All Implemented Interfaces and Traits:
    Comparable

      public static class GroovyCategorySupport.CategoryMethod
      extends NewInstanceMetaMethod

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class NewMetaMethod` | `EMPTY_TYPE_ARRAY, bytecodeParameterTypes`
    `class ReflectionMetaMethod` | `method`
    `class ParameterTypes` | `isVargsMethod, nativeParamTypes, parameterTypes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyCategorySupport.CategoryMethod (CachedMethod metaMethod, Class metaClass)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `compareTo(Object o)` Sort by most specific to least specific.
    `` | `boolean` | `isCacheable()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class NewInstanceMetaMethod` | `getModifiers, invoke, isStatic`
    `class NewMetaMethod` | `getBytecodeParameterTypes, getDeclaringClass, getOwnerClass`
    `class ReflectionMetaMethod` | `getCachedMethod, getDeclaringClass, getModifiers, getName, getPT, getReturnType, invoke, toString`
    `class MetaMethod` | `checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`
    `class ParameterTypes` | `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public GroovyCategorySupport.CategoryMethod(CachedMethod metaMethod, Class metaClass)

  - ### Method Detail

    - #### public int compareTo(Object o)

      Sort by most specific to least specific.

      Parameters:
        `o` - the object to compare against

    - #### public boolean isCacheable()